org.apache.ignite.spi.tracing

## Class NoopSpiSpecificSpan

- java.lang.Object
- - org.apache.ignite.spi.tracing.NoopSpiSpecificSpan

All Implemented Interfaces:
  SpiSpecificSpan

    public class NoopSpiSpecificSpan
    extends Object
    implements SpiSpecificSpan

Noop and null-safe implementation of `SpiSpecificSpan`.

### Field Summary

Fields
`static NoopSpiSpecificSpan` `INSTANCE` Instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`NoopSpiSpecificSpan` `addLog(String logDesc)` Logs work to span.
`NoopSpiSpecificSpan` `addTag(String tagName, String tagVal)` Adds tag to span with `String` value.
`NoopSpiSpecificSpan` `end()` Ends span.
`boolean` `isEnded()`
`NoopSpiSpecificSpan` `setStatus(SpanStatus spanStatus)` Explicitly set status for span.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final NoopSpiSpecificSpan INSTANCE

Instance.

### Method Detail

#### addTag

    public NoopSpiSpecificSpan addTag(String tagName,
                                      String tagVal)

Adds tag to span with `String` value.

Specified by:
  `addTag` in interface `SpiSpecificSpan`
Parameters:
  `tagName` - Tag name.
  `tagVal` - Tag value.

#### addLog

    public NoopSpiSpecificSpan addLog(String logDesc)

Logs work to span.

Specified by:
  `addLog` in interface `SpiSpecificSpan`
Parameters:
  `logDesc` - Log description.

#### setStatus

    public NoopSpiSpecificSpan setStatus(SpanStatus spanStatus)

Explicitly set status for span.

Specified by:
  `setStatus` in interface `SpiSpecificSpan`
Parameters:
  `spanStatus` - Status.

#### end

    public NoopSpiSpecificSpan end()

Ends span. This action sets default status if not set and mark the span as ready to be exported.

Specified by:
  `end` in interface `SpiSpecificSpan`

#### isEnded

    public boolean isEnded()

Specified by:
  `isEnded` in interface `SpiSpecificSpan`
Returns:
  `true` if span has already ended.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020